aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorgrakiss <grakiss.wanglei@huawei.com>2016-03-17 02:39:36 -0400
committergrakiss <grakiss.wanglei@huawei.com>2016-03-17 02:41:11 -0400
commit2490b7463f3a2fc86277f957945b92263495c01c (patch)
tree160148cdef1291c8f1423c840e4a7a121eb86824
parent2f2b5814e95bed52d258b5ff339241e0b3772bee (diff)
Clarify the config file to dha file
JIRA:COMPASS-344 - make it easy Change-Id: I6e29136670f7a9f75ff90e893eff865d77235b31 Signed-off-by: grakiss <grakiss.wanglei@huawei.com>
-rw-r--r--deploy/config_parse.py14
-rwxr-xr-xdeploy/network.sh18
2 files changed, 20 insertions, 12 deletions
diff --git a/deploy/config_parse.py b/deploy/config_parse.py
index 21fe76d3..ba677ade 100644
--- a/deploy/config_parse.py
+++ b/deploy/config_parse.py
@@ -34,7 +34,7 @@ def hostroles(s, seq, host=None):
def hostmacs(s, seq, host=None):
return host.get('mac', '')
-def export_config_file(s, config_file, conf_dir, ofile):
+def export_dha_file(s, dha_file, conf_dir, ofile):
env = {}
env.update(s)
if env.get('hosts', []):
@@ -44,7 +44,7 @@ def export_config_file(s, config_file, conf_dir, ofile):
env.update({'FLAVOR': s.get('FLAVOR', "cluster")})
env.update({'HOSTNAMES': hostnames(s, ',')})
env.update({'HOST_ROLES': hostroles(s, ';')})
- env.update({'DHA': config_file})
+ env.update({'DHA': dha_file})
value = hostmacs(s, ',')
if len(value) > 0:
@@ -72,15 +72,15 @@ if __name__ == "__main__":
print("parameter wrong%d %s" % (len(sys.argv), sys.argv))
sys.exit(1)
- _, config_file, conf_dir, tmpl_dir, output_dir, output_file = sys.argv
+ _, dha_file, conf_dir, tmpl_dir, output_dir, output_file = sys.argv
- if not os.path.exists(config_file):
- print("%s is not exist" % config_file)
+ if not os.path.exists(dha_file):
+ print("%s is not exist" % dha_file)
sys.exit(1)
- data = init(config_file)
+ data = init(dha_file)
- export_config_file(data, config_file, conf_dir, os.path.join(output_dir, output_file))
+ export_dha_file(data, dha_file, conf_dir, os.path.join(output_dir, output_file))
export_reset_file(data, tmpl_dir, output_dir, os.path.join(output_dir, output_file))
sys.exit(0)
diff --git a/deploy/network.sh b/deploy/network.sh
index 67769c98..7e2649ca 100755
--- a/deploy/network.sh
+++ b/deploy/network.sh
@@ -92,15 +92,23 @@ function setup_nat_net() {
sudo virsh net-start $net_name
}
+
+function setup_virtual_net() {
+ setup_nat_net install $INSTALL_GW $INSTALL_MASK
+}
+
+function setup_baremetal_net() {
+ if [[ -z $INSTALL_NIC ]]; then
+ exit 1
+ fi
+ setup_bridge_net install $INSTALL_NIC
+}
+
function create_nets() {
setup_nat_net mgmt $MGMT_GW $MGMT_MASK $MGMT_IP_START $MGMT_IP_END
# create install network
- if [[ -n $INSTALL_NIC ]]; then
- setup_bridge_net install $INSTALL_NIC
- else
- setup_nat_net install $INSTALL_GW $INSTALL_MASK
- fi
+ setup_"$TYPE"_net
# create external network
setup_bridge_external